import { createApp } from 'vue'
import App from './App.vue'
import router from './router/index';

// 链式注册插件
const app = createApp(App).use(router);

// 现在所有的导航都是异步的，等路由ready以后再进行挂载组件；
router.isReady().then(() => app.mount('#app'));

// 在导航期间每次发生未捕获的错误时都会调用该处理程序
router.onError((err) => { console.error(err); });
